// C Header File
// Created 04/03/2004; 12:38:59 p.m.
#include "extgraph.h"

void texto(int x, int y, char *tex, int fuente, int color){
	FontSetSys(fuente);
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	DrawStr(x,y,tex,0);
	 			GraySetAMSPlane (1);
	     	DrawStr(x,y,tex,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
	     	DrawStr(x,y,tex,1);
	 			GraySetAMSPlane (1);
	     	DrawStr(x,y,tex,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
	     	DrawStr(x,y,tex,0);
	 			GraySetAMSPlane (1);
	     	DrawStr(x,y,tex,4);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
	     	DrawStr(x,y,tex,1);
	 			GraySetAMSPlane (1);
	     	DrawStr(x,y,tex,1);
	      break;
	  }
}

void pixel(int x, int y, int color){
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	DrawPix(x,y,0);
	 			GraySetAMSPlane (1);
	     	DrawPix(x,y,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
	     	DrawPix(x,y,1);
	 			GraySetAMSPlane (1);
	     	DrawPix(x,y,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
	     	DrawPix(x,y,0);
	 			GraySetAMSPlane (1);
	     	DrawPix(x,y,1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
	     	DrawPix(x,y,1);
	 			GraySetAMSPlane (1);
	     	DrawPix(x,y,1);
	      break;
	  }
}

void linea(int x0, int y0, int x1, int y1, int color){
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	DrawLine(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
	     	DrawLine(x0,y0,x1,y1,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
	     	DrawLine(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
	     	DrawLine(x0,y0,x1,y1,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
	     	DrawLine(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
	     	DrawLine(x0,y0,x1,y1,1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
	     	DrawLine(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
	     	DrawLine(x0,y0,x1,y1,1);
	      break;
	  }
}

void rect(int x0, int y0, int x1, int y1, int color){
	void rect1(int x0, int y0, int x1, int y1, int arg){
			DrawLine(x0, y0, x1, y0, arg);
	    DrawLine(x1, y0, x1, y1, arg);
	    DrawLine(x1, y1, x0, y1, arg);
	    DrawLine(x0, y1, x0, y0, arg);}
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	rect1(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
				rect1(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
				rect1(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
				rect1(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,1);
	      break;
	  }
}

void rectr(int x0, int y0, int x1, int y1, int color){
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,0);
	 			GraySetAMSPlane (1);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,1);
	 			GraySetAMSPlane (1);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,0);
	 			GraySetAMSPlane (1);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,1);
	 			GraySetAMSPlane (1);
				ScrRectFill(&(SCR_RECT){{x0,y0,x1,y1}},ScrRect,1);
	      break;
	  }
}

void elipse(int x0, int y0, int x1, int y1, int color){
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},0);
	 			GraySetAMSPlane (1);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},1);
	 			GraySetAMSPlane (1);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},0);
	 			GraySetAMSPlane (1);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},1);
	 			GraySetAMSPlane (1);
				DrawClipEllipse (x0,y0,x1,y1,&(SCR_RECT){{0, 0, 159, 92}},1);
	      break;
	  }
}

void elipser(int x0, int y0, int x1, int y1, int color){
	void elipser1(int x0, int y0, int x1, int y1, int arg){  
		int i;
		for(i=0;i<x1+1;i++)DrawClipEllipse (x0,y0,i,y1,&(SCR_RECT){{0, 0, 159, 92}},arg);}
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	elipser1(x0,y0,x1,y1,0);
	     	elipser1(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
				elipser1(x0,y0,x1,y1,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
				elipser1(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
				elipser1(x0,y0,x1,y1,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
				elipser1(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
				elipser1(x0,y0,x1,y1,1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
				elipser1(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
				elipser1(x0,y0,x1,y1,1);
	      break;
	  }
}


void triang(int x0, int y0, int x1, int y1, int x2, int y2, int color){
	void rect1(int x0, int y0, int x1, int y1, int arg){
			DrawLine(x0, y0, x1, y1, arg);
	    DrawLine(x1, y1, x2, y2, arg);
	    DrawLine(x2, y2, x0, y0, arg);}
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	rect1(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
				rect1(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
				rect1(x0,y0,x1,y1,0);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
				rect1(x0,y0,x1,y1,1);
	 			GraySetAMSPlane (1);
				rect1(x0,y0,x1,y1,1);
	      break;
	  }
}

void triangr(int x0, int y0, int x1, int y1, int x2, int y2, int color){
	switch (color)
	  {
	    case 1:
	 			GraySetAMSPlane (0);
	     	FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},0);
	 			GraySetAMSPlane (1);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},0);
	      break;
	    case 2:
	 			GraySetAMSPlane (0);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},1);
	 			GraySetAMSPlane (1);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},0);
	      break;
	    case 3:
	 			GraySetAMSPlane (0);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},0);
	 			GraySetAMSPlane (1);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},1);
	      break;
	    case 4:
	 			GraySetAMSPlane (0);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},1);
	 			GraySetAMSPlane (1);
				FillTriangle (x0,y0,x1,y1,x2,y2, &(SCR_RECT){{0,0,159,92}},1);
	      break;
	  }
}

void selec(int x0, int y0, int x1, int y1){
	void rect1(int x0, int y0, int x1, int y1, int arg){
			DrawLine(x0, y0, x1, y0, arg);
	    DrawLine(x1, y0, x1, y1, arg);
	    DrawLine(x1, y1, x0, y1, arg);
	    DrawLine(x0, y1, x0, y0, arg);}
	GraySetAMSPlane (0);
 	rect1(x0,y0,x1,y1,2);
	GraySetAMSPlane (1);
	rect1(x0,y0,x1,y1,2);
}

